Subject: [secdir] Fwd: directorates helping ADs

From: Stephen Farrell <[email-masked]>
Date: Sat, 16 Mar 2013 01:57:12 +0000

Hiya,

This is how I summarised our lunch discussion to the IESG.
Please let me know if I got something horribly wrong. And
of course, more discussion/ideas on this list is also
welcome.

Cheers,
S.

-------- Original Message --------
Subject: directorates helping ADs
Date: Sat, 16 Mar 2013 01:53:40 +0000
From: Stephen Farrell <[email-masked]>
To: IESG <[email-masked]>

Hi,

The AD-time-crunch discussion seems to throw up a recurring
response - get the directorates to do more.

We talked about that at the secdir lunch this week.

Note that we started by saying that there are no proposals
to change anything now, we were just looking to base our
discussion on some secdir input, and this was only about
the SEC area.

At the end of our discussion this is what I noted:

- secdir members are also busy, mostly 120% as well, so we
can't assume that they have the bandwidth to do more

- we currently get about 80% of drafts reviewed with 50+
secdir reviewers, if secdir membership becomes more onerous
a lot felt that the 80% figure would decrease, maybe by a
lot

- if secdir members are given more responsibility (e.g. to
follow up discusses) then what power goes with that
responsibility?

- some argued that there ought be less review of drafts,
but others argued that reviews are very good and an
important part of IETF quality control

- some argued that moving reviews earlier might reduce the
workload on ADs, but nobody knows how to get there

- the idea of having 3 (or 4) AD-like roles per area was
raised, but obviously wasn't fleshed out - I think the idea
might be along the lines of having 2 assistant AD positions
and one AD with tasks and powers distributed amongst those
(maybe the assistants do reviews or something)

- if we figure out something that looks like its worth
trying then we probably want to start by trying that for a
few drafts where all parties are ok with trying out whatever
is to be tried out, i.e. start any directorate experiments
on a doc by doc basis.

I guess I'd summarise by saying that shifting from having
directorates help to making them responsible is not an easy
change to make.

Cheers,
S.